echo "==========="
echo "EXECUTABLE"
EXE="./maxwelltd_CUDA_LTS_DOUBLEpre_FLOATpro"
echo $EXE
echo "FileName"
echo "==========="

# 0. [EXE]
# 1. Filename: Simulation Filename
# 2. Freq: Central Modulation Frequency (MHz)
# 3. Planewave Waveform (Excitation Type): (0)Time Harmonic (1)Gauss (2)Neumann (3) Modulated Gauss;
# 4. Port Waveform (0) Time Harmonic Pulse (1) Gaussian Pulse
# 5. Tdelay: Delay of excitation pulse (sec)
# 6. Tau: Width of pulse (sec)
# 7. FinalTime: Termination Time (sec)
# 8. Gamma (Penalty) --> 1 upwind , 0 central
# 9. VTU --> 0 (YES), 1 (NO)
#10. Surface Field Output BC Surfaces  --> (0) Off (1) PEC only (2) FieldPlane only (3) FieldPlane and PEC
#11. Surface Output Types --> (0) Field (1) Current (2) Field and Current
#12. Poly order --> (1) First Order (2) Second Order
#13. Free Space Comparison(Analytical): (0) True and (1) False

FILENAME=cylinder_cr1.75
FREQ=2650
PLANEWAVEFLAG=1
PORTFLAG=1
TD=2.5e-9
TAU=2.5e-10
FINALTIME=25e-8
GAMMA=0.025
VTU=1
SURFFIELDOUTBCSURFS=0
SURFOUTTYPES=0
POLYORDER=2
ANALYTICAL=1
SAMPLINGRATE=12.5
PADE=2

rm *.log
rm *.vtu
rm AnalyticalIncidentField*
rm Probes_*
rm *.TD*
rm -r ./TimeDomainVoltages
$EXE $FILENAME $FREQ $PLANEWAVEFLAG $PORTFLAG $TD $TAU $FINALTIME $GAMMA $VTU $SURFFIELDOUTBCSURFS $SURFOUTTYPES $POLYORDER $ANALYTICAL $SAMPLINGRATE $PADE | tee -a compute.log
rm -r ./VTU_LTS
mkdir ./VTU_LTS
mv *.vtu ./VTU_LTS
rm -r ./PROBES
mkdir ./PROBES
mv *.csv ./PROBES
mv *.TD* ./PROBES
mv *.log ./PROBES
