sections = {
  "mesh_prep": 1,
  "matrix_assembly": 2,
  "bc_calc": 3,
  "timestep": 4,
}


window.MathJax = {
  loader: {load: ['[tex]/tagformat', '[tex]/ams']},
  tex: {
    packages: {'[+]': ['tagformat', 'ams']},
    macros: {
      dd: "{\\, \\mathrm{d}}",
      E: "{\\mathbf{E}}",
      H: "{\\mathbf{H}}",
      J: "{\\mathbf{J}}",
      D: "{\\mathbf{D}}",
      B: "{\\mathbf{B}}",
      M: "{\\mathbf{M}}",
      tbE: "{\\tilde{\\E}}",
      tbH: "{\\tilde{\\H}}",
      tE: "{\\tilde{E}}",
      tH: "{\\tilde{H}}",
      tphi: "{\\tilde{\\phi}}",
      curl: ["{\\nabla \\times {#1}}", 1],
      div: ["{\\nabla \\cdot {#1}}", 1],
      tens: ["{\\bar{\\bar{{#1}}}}", 1],
    },
    tags: 'ams',
    tagformat: {
      number: (n) => sections[window.location.pathname.split("/").pop().split(".")[0]] + '.' + n,
    },
    ams: {
      multilineWidth: '100%',
      multilineIndent: '50em'
    }
  },
}
